## e-book-async

e-book-async — Handles asynchronous interactions with the EBook.

## Synopsis

    void        (*EBookCallback)                (EBook *book,
                                                 EBookStatus status,
                                                 gpointer closure);
    void        (*EBookOpenProgressCallback)    (EBook *book,
                                                 const char *status_message,
                                                 short           percent,
                                                 gpointer closure);
    void        (*EBookIdCallback)              (EBook *book,
                                                 EBookStatus status,
                                                 const char *id,
                                                 gpointer closure);
    void        (*EBookContactCallback)         (EBook *book,
                                                 EBookStatus status,
                                                 EContact *contact,
                                                 gpointer closure);
    void        (*EBookBookViewCallback)        (EBook *book,
                                                 EBookStatus status,
                                                 EBookView *book_view,
                                                 gpointer closure);
    guint       e_book_async_get_supported_fields
                                                (EBook *book,
                                                 EBookEListCallback cb,
                                                 gpointer closure);
    guint       e_book_async_get_supported_auth_methods
                                                (EBook *book,
                                                 EBookEListCallback cb,
                                                 gpointer closure);
    guint       e_book_async_authenticate_user  (EBook *book,
                                                 const char *user,
                                                 const char *passwd,
                                                 const char *auth_method,
                                                 EBookCallback cb,
                                                 gpointer closure);
    guint       e_book_async_get_contact        (EBook *book,
                                                 const char *id,
                                                 EBookContactCallback cb,
                                                 gpointer closure);
    guint       e_book_async_get_contacts       (EBook *book,
                                                 EBookQuery *query,
                                                 EBookListCallback cb,
                                                 gpointer closure);
    guint       e_book_async_remove_contact     (EBook *book,
                                                 EContact *contact,
                                                 EBookCallback cb,
                                                 gpointer closure);
    guint       e_book_async_remove_contact_by_id
                                                (EBook *book,
                                                 const char *id,
                                                 EBookCallback cb,
                                                 gpointer closure);
    guint       e_book_async_remove_contacts    (EBook *book,
                                                 GList *id_list,
                                                 EBookCallback cb,
                                                 gpointer closure);
    gboolean    e_book_async_add_contact        (EBook *book,
                                                 EContact *contact,
                                                 EBookIdCallback cb,
                                                 gpointer closure);
    guint       e_book_async_commit_contact     (EBook *book,
                                                 EContact *contact,
                                                 EBookCallback cb,
                                                 gpointer closure);
    guint       e_book_async_get_book_view      (EBook *book,
                                                 EBookQuery *query,
                                                 GList *requested_fields,
                                                 int max_results,
                                                 EBookBookViewCallback cb,
                                                 gpointer closure);

## Description

## Details

### EBookCallback ()

    void        (*EBookCallback)                (EBook *book,
                                                 EBookStatus status,
                                                 gpointer closure);

`book` : |
`status` : |
`closure` : |

### EBookOpenProgressCallback ()

    void        (*EBookOpenProgressCallback)    (EBook *book,
                                                 const char *status_message,
                                                 short           percent,
                                                 gpointer closure);

`book` : |
`status_message` : |
`Param3` : |
`closure` : |

### EBookIdCallback ()

    void        (*EBookIdCallback)              (EBook *book,
                                                 EBookStatus status,
                                                 const char *id,
                                                 gpointer closure);

`book` : |
`status` : |
`id` : |
`closure` : |

### EBookContactCallback ()

    void        (*EBookContactCallback)         (EBook *book,
                                                 EBookStatus status,
                                                 EContact *contact,
                                                 gpointer closure);

`book` : |
`status` : |
`contact` : |
`closure` : |

### EBookBookViewCallback ()

    void        (*EBookBookViewCallback)        (EBook *book,
                                                 EBookStatus status,
                                                 EBookView *book_view,
                                                 gpointer closure);

`book` : |
`status` : |
`book_view` : |
`closure` : |

### e_book_async_get_supported_fields ()

    guint       e_book_async_get_supported_fields
                                                (EBook *book,
                                                 EBookEListCallback cb,
                                                 gpointer closure);

`book` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_get_supported_auth_methods ()

    guint       e_book_async_get_supported_auth_methods
                                                (EBook *book,
                                                 EBookEListCallback cb,
                                                 gpointer closure);

`book` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_authenticate_user ()

    guint       e_book_async_authenticate_user  (EBook *book,
                                                 const char *user,
                                                 const char *passwd,
                                                 const char *auth_method,
                                                 EBookCallback cb,
                                                 gpointer closure);

`book` : |
`user` : |
`passwd` : |
`auth_method` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_get_contact ()

    guint       e_book_async_get_contact        (EBook *book,
                                                 const char *id,
                                                 EBookContactCallback cb,
                                                 gpointer closure);

`book` : |
`id` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_get_contacts ()

    guint       e_book_async_get_contacts       (EBook *book,
                                                 EBookQuery *query,
                                                 EBookListCallback cb,
                                                 gpointer closure);

`book` : |
`query` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_remove_contact ()

    guint       e_book_async_remove_contact     (EBook *book,
                                                 EContact *contact,
                                                 EBookCallback cb,
                                                 gpointer closure);

`book` : |
`contact` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_remove_contact_by_id ()

    guint       e_book_async_remove_contact_by_id
                                                (EBook *book,
                                                 const char *id,
                                                 EBookCallback cb,
                                                 gpointer closure);

`book` : |
`id` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_remove_contacts ()

    guint       e_book_async_remove_contacts    (EBook *book,
                                                 GList *id_list,
                                                 EBookCallback cb,
                                                 gpointer closure);

`book` : |
`id_list` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_add_contact ()

    gboolean    e_book_async_add_contact        (EBook *book,
                                                 EContact *contact,
                                                 EBookIdCallback cb,
                                                 gpointer closure);

`book` : |
`contact` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_commit_contact ()

    guint       e_book_async_commit_contact     (EBook *book,
                                                 EContact *contact,
                                                 EBookCallback cb,
                                                 gpointer closure);

`book` : |
`contact` : |
`cb` : |
`closure` : |
Returns : |

### e_book_async_get_book_view ()

    guint       e_book_async_get_book_view      (EBook *book,
                                                 EBookQuery *query,
                                                 GList *requested_fields,
                                                 int max_results,
                                                 EBookBookViewCallback cb,
                                                 gpointer closure);

`book` : |
`query` : |
`requested_fields` : |
`max_results` : |
`cb` : |
`closure` : |
Returns : |